package cn.yyxx.eyuancomm.impl.channel

import android.app.Activity
import android.app.Application
import android.content.Context
import android.content.Intent
import cn.yyxx.eyuancomm.comm.entity.SdkChargeInfo
import cn.yyxx.eyuancomm.comm.internal.feature.IApplication
import cn.yyxx.eyuancomm.comm.internal.feature.IFeature
import cn.yyxx.eyuancomm.comm.internal.feature.ILifeCycle
import cn.yyxx.eyuancomm.comm.utils.Logger

/**
 * @author #Suyghur.
 * Created on 2022/01/17
 */
class ChannelSdkYYXX : IFeature, IApplication, ILifeCycle {

    override fun attachBaseContext(application: Application, context: Context) {
        Logger.d("ChannelSdkYYXX attachBaseContext")
    }

    override fun initApplication(application: Application) {
        Logger.d("ChannelSdkYYXX initApplication")
    }

    override fun initialize(activity: Activity, isLandscape: Boolean, callback: (Int, String) -> Unit) {
        Logger.d("ChannelSdkYYXX initialize")
    }

    override fun login(activity: Activity, callback: (Int, String) -> Unit) {
        Logger.d("ChannelSdkYYXX login")
    }

    override fun logout(activity: Activity, callback: (Int, String) -> Unit) {
        Logger.d("ChannelSdkYYXX logout")
    }

    override fun charge(activity: Activity, chargeInfo: SdkChargeInfo, callback: (Int, String) -> Unit) {
        Logger.d("ChannelSdkYYXX charge")
    }

    override fun hasExitView(activity: Activity): Boolean {
        Logger.d("ChannelSdkYYXX hasExitView")
        return false
    }

    override fun openExitView(activity: Activity, callback: (Int, String) -> Unit) {
        Logger.d("ChannelSdkYYXX openExitView")
    }

    override fun onDestroy(activity: Activity) {
        Logger.d("ChannelSdkYYXX onDestroy")
    }

    override fun getChannelVersion(): String {
        Logger.d("ChannelSdkYYXX getChannelVersion")
        return "1.0.3"
    }

    override fun getChannelName(): String {
        Logger.d("ChannelSdkYYXX getChannelName")
        return "YYXX"
    }

    override fun onStart(activity: Activity) {
        Logger.d("ChannelSdkYYXX onStart")
    }

    override fun onResume(activity: Activity) {
        Logger.d("ChannelSdkYYXX onResume")
    }

    override fun onReStart(activity: Activity) {
        Logger.d("ChannelSdkYYXX onReStart")
    }

    override fun onPause(activity: Activity) {
        Logger.d("ChannelSdkYYXX onPause")
    }

    override fun onStop(activity: Activity) {
        Logger.d("ChannelSdkYYXX onStop")
    }

    override fun onActivityResult(activity: Activity, requestCode: Int, resultCode: Int, data: Intent?) {
        Logger.d("ChannelSdkYYXX onActivityResult")
    }

    override fun onNewIntent(activity: Activity, intent: Intent?) {
        Logger.d("ChannelSdkYYXX onNewIntent")
    }
}